//ASP程序生成菜单开始
var Menu_Text=new Array();
var Menu_Target=new Array();
var Menu_Href=new Array();
var Menu_Class=new Array();


Menu_Text[0]='首　页';
Menu_Target[0]='';
Menu_Href[0]='index.asp';
Menu_Class[0]='aRed';

//生成‘首　页’二级菜单
var SubMenu0_Text=null;

Menu_Text[1]='公司介绍';
Menu_Target[1]='';
Menu_Href[1]='aboutme.asp';
Menu_Class[1]='';

//生成‘公司介绍’二级菜单
var SubMenu1_Text=null;

Menu_Text[2]='新闻动态';
Menu_Target[2]='';
Menu_Href[2]='news.asp';
Menu_Class[2]='';

//生成‘新闻动态’二级菜单
var SubMenu2_Text=null;

Menu_Text[3]='公司产品';
Menu_Target[3]='';
Menu_Href[3]='product.asp';
Menu_Class[3]='';

//生成‘公司产品’二级菜单
var SubMenu3_Text=null;

Menu_Text[4]='诚聘英才';
Menu_Target[4]='';
Menu_Href[4]='job.asp';
Menu_Class[4]='';

//生成‘诚聘英才’二级菜单
var SubMenu4_Text=null;

Menu_Text[5]='给我留言';
Menu_Target[5]='';
Menu_Href[5]='guestbook.asp';
Menu_Class[5]='';

//生成‘给我留言’二级菜单
var SubMenu5_Text=null;

Menu_Text[6]='客户服务';
Menu_Target[6]='';
Menu_Href[6]='service.asp';
Menu_Class[6]='';

//生成‘客户服务’二级菜单
var SubMenu6_Text=null;

Menu_Text[7]='联系我们';
Menu_Target[7]='';
Menu_Href[7]='contact.asp';
Menu_Class[7]='';

//生成‘联系我们’二级菜单
var SubMenu7_Text=null;

Menu_Text[8]='通用页面';
Menu_Target[8]='';
Menu_Href[8]='common.asp';
Menu_Class[8]='';

//生成‘通用页面’二级菜单
var SubMenu8_Text=null;


//处理多语言问题
	lgGB2312="http://192.168.0.153:8199/Home/1234";
	lgBig5=null;
	lgEnglish=null;
	lgKorean=null;
	lgJapanese=null;

//获取当前页面的文件名及对应MENU中的序号
var CurrSubMenu=null;
var strCurrFile=GetCurrFileName();
for(i=0;i<Menu_Href.length;i++){
	if(Menu_Href[i]==strCurrFile){
		CurrSubMenu=i;
		break;
	}
	
	else{
		//如果第一级菜单中找不到，则再寻找第二级菜单
		eval("objSubMenu=SubMenu" + i + "_Text");
		if(objSubMenu!=null){
			eval("objSubMenu=SubMenu" + i + "_Href");
			for(j=0;j<objSubMenu.length;j++){
				if(objSubMenu[j]==strCurrFile){
					CurrSubMenu=i;
					break;
				}
			}
			if(CurrSubMenu!=null) break;
		}
	}
	
}

//显示主菜单
if(document.all["Item"]!=null){
	for(i=0;i<Menu_Text.length;i++){
		if(i>=document.all.Item.length) break;
		document.all.Item[i].style.display='';
		document.all.Menu[i].innerHTML=Menu_Text[i];
		document.all.Menu[i].href=Menu_Href[i];
		document.all.Menu[i].target=Menu_Target[i];
		document.all.Menu[i].className=Menu_Class[i];
	}
}
		
//如果有子菜单，显示子菜单
if (CurrSubMenu!=null){ 
	eval("var objSubMenu=SubMenu" + CurrSubMenu + "_Text");
	if(objSubMenu!=null){
		if(document.all["SubItem"]!=null){
			for(i=0;i<objSubMenu.length;i++){
				if(i>=document.all.SubItem.length) break;
				document.all.SubItem[i].style.display='';
				document.all.SubMenu[i].innerHTML=objSubMenu[i];
				eval("var objSubMenu_Href=SubMenu" + CurrSubMenu + "_Href");
				document.all.SubMenu[i].href=objSubMenu_Href[i];
				eval("var objSubMenu_Target=SubMenu" + CurrSubMenu + "_Target");
				document.all.SubMenu[i].target=objSubMenu_Target[i];
				eval("var objSubMenu_Class=SubMenu" + CurrSubMenu + "_Class");
				document.all.SubMenu[i].className=objSubMenu_Class[i];
			}
		}
	}
	
}


//处理语言问题
if (document.all.GB2312!=null){
	if(lgGB2312!=null){
		document.all.GB2312.style.display="";
		document.all.GB2312.href=lgGB2312;
	}
}
				
if (document.all.Big5!=null){
	if(lgBig5!=null){
		document.all.Big5.style.display="";
		document.all.Big5.href=lgBig5;
	}
}
				
if (document.all.English!=null){
	if(lgEnglish!=null){
		document.all.English.style.display="";
		document.all.English.href=lgEnglish;
	}
}
	
if (document.all.Korean!=null){
	if(lgKorean!=null){
		document.all.Korean.style.display="";
		document.all.Korean.href=lgKorean;
	}
}
				
if (document.all.Japanese!=null){
	if(lgJapanese!=null){
		document.all.Japanese.style.display="";
		document.all.Japanese.href=lgJapanese;
	}
}
				
//----------------------------------------------------------------------
//----------------------------------------------------------------------



/*
函数功能：求得当然页面的文件名
参数说明：无参数
作者：盛天
日期：2003-11-17
返回值：当然文件名
*/
function GetCurrFileName(){
	var strURL =window.location.toString();
	var l;
	if (strURL.indexOf("?")==-1)
	{
		l = strURL.length;
	}
	else
	{
		l = strURL.indexOf("?");
	}
	
	return strURL.substring(strURL.lastIndexOf("/")+1,l);
}



